> ## Documentation Index
> Fetch the complete documentation index at: https://docs.carviz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reports



## OpenAPI

````yaml get /public/reports/
openapi: 3.1.0
info:
  title: Carviz API
  version: 1.0.0
servers:
  - url: https://api.carviz.com/prod
security: []
paths:
  /public/reports/:
    get:
      tags:
        - public
      summary: List Reports
      operationId: list_reports_public_reports__get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gte
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lte
        - name: updated_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated At  Gte
        - name: updated_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated At  Lte
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: dealership_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Dealership Id
        - name: entity_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Entity Id
        - name: profile_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Profile Id
        - name: contact_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Contact Id
        - name: counter_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Counter Id
        - name: token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Token
        - name: vin
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Vin
        - name: license_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: License Number
        - name: brand
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Brand
        - name: version
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Version
        - name: organization_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Organization Name
        - name: dealership_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Dealership Name
        - name: entity_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Entity Name
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: valid
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Valid
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ConsumptionMetrics'
              - type: 'null'
            title: Type
        - name: data__contains
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            title: Data  Contains
        - name: state__contains
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            title: State  Contains
        - name: state__not_contains
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            title: State  Not Contains
        - name: order_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Order By
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_ReportsCompactRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConsumptionMetrics:
      type: string
      enum:
        - inspection
        - counter_inspection
        - after_sale
        - marketing
        - rental
        - insurance
        - remote
        - extra_plate
        - extra_vin
        - extra_scoring
      title: ConsumptionMetrics
    Page_ReportsCompactRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ReportsCompactRead'
          type: array
          title: Items
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
      type: object
      required:
        - items
      title: Page[ReportsCompactRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReportsCompactRead:
      properties:
        token:
          type: string
          format: uuid
          title: Token
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        profile:
          anyOf:
            - $ref: '#/components/schemas/ProfilesCompactRead'
            - type: 'null'
        data:
          $ref: '#/components/schemas/CompactReportData'
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        dealership_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Dealership Id
      type: object
      required:
        - token
        - created_at
        - updated_at
        - data
        - organization_id
      title: ReportsCompactRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProfilesCompactRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
      type: object
      required:
        - id
        - name
      title: ProfilesCompactRead
    CompactReportData:
      properties:
        vehicle:
          $ref: '#/components/schemas/CompactVehicleData'
      type: object
      required:
        - vehicle
      title: CompactReportData
    CompactVehicleData:
      properties:
        vin:
          anyOf:
            - type: string
            - type: 'null'
          title: Vin
        license_number:
          anyOf:
            - type: string
            - type: 'null'
          title: License Number
      type: object
      title: CompactVehicleData

````